Name: gv
Version: 3.5.8
Release: alt5
Serial: 1

Summary: An enhanced front-end for the ghostscript PostScript(TM) interpreter
License: GPL
Group: Publishing
Url: http://wwwthep.physik.uni-mainz.de/~plass/%name/

Source0: ftp://thep.physik.uni-mainz.de/pub/%name/unix/%name-%version.tar.bz2
Source1: %name-xpm.tar.bz2
Source2: gvcat
Source3: %name.menu

Patch1: %name-3.5.8-rh-config.patch
Patch2: %name-3.5.8-rh-alias.patch
Patch3: %name-3.5.8-alt-bzip2.patch
Patch4: %name-3.5.8-mdk-xf4.patch
Patch5: %name-3.5.8-alt-alpha.patch
Patch6: %name-3.5.8-mdk-noplatfonts.patch
Patch7: %name-3.5.8-deb-quote.patch
Patch8: %name-3.5.8-rh-sscanf.patch
Patch9: %name-3.5.8-alt-tmp.patch
Patch10: %name-3.5.8-alt-enforce-tmpdir.patch

Requires: ghostscript-module-X >= 7.05
Provides: ghostview = %version
Obsoletes: ghostview
Requires: file

# Automatically added by buildreq on Sun Sep 29 2002
BuildRequires: XFree86-devel libXaw3d-devel xpm-devel

%description
Gv provides a user interface for the ghostscript PostScript(TM)
interpreter.  Derived from the ghostview program, %name can display
PostScript and PDF documents using the X Window System.

Install the %name package if you'd like to view PostScript and PDF documents
on your system.  You'll also need to have the ghostscript package
installed, as well as the X Window System.

%prep
%setup -q -a1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

#patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

find -type f -print0 |
	xargs -r0 %__grep -FZl 'gzip -d -c' |
	xargs -r0 %__subst 's|gzip -d -c|%_datadir/%name/gvcat|g'

find -type f -print0 |
	xargs -r0 %__grep -FZl 'gzipped, zipped or compressed' |
	xargs -r0 %__subst 's/gzipped, zipped or compressed/gzipped, bzipped, zipped or compressed/g'

%build
xmkmf
make Makefiles
make CDEBUGFLAGS="$RPM_OPT_FLAGS" XAPPLOADDIR=%_sysconfdir/X11/app-defaults

%install
%__mkdir_p $RPM_BUILD_ROOT{%_miconsdir,%_liconsdir,%_datadir/%name}

%makeinstall install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	XAPPLOADDIR=%_sysconfdir/X11/app-defaults

install -p -m755 %SOURCE2 $RPM_BUILD_ROOT%_datadir/%name
install -p -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_menudir/%name
install -p -m644 %name-16.xpm $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -p -m644 %name-32.xpm $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -p -m644 %name-48.xpm $RPM_BUILD_ROOT%_liconsdir/%name.xpm
%__ln_s -nf %name $RPM_BUILD_ROOT%_x11bindir/ghostview

gunzip doc/*gz
bzip2 -9 doc/*.ps

%post
%update_menus

%postun
%clean_menus

%files
%doc README CHANGES doc/*.{html,txt,doc,interface,bz2} source/*.ad
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%_x11bindir/*
%_x11dir/man/man?/*
%_datadir/%name
%_menudir/*
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_liconsdir/*.xpm

%changelog
* Mon Apr 26 2004 Stanislav Ievlev <inger@altlinux.org> 1:3.5.8-alt5
- Added missing provides (ghostview = version)
- move app-default samples (%_x11libdir/%name/*.ad) to documentation directory
- fixed #3625

* Fri Oct 11 2002 Dmitry V. Levin <ldv@altlinux.org> 1:3.5.8-alt4
- Fixed multiply buffer overflows due to unsafe sscanf() usage.
  Previous (1:3.5.8-alt2) fix appears to be incomplete.

* Fri Sep 27 2002 Dmitry V. Levin <ldv@altlinux.org> 1:3.5.8-alt3
- Added buildrequires.
- Enhanced gvcat helper.
- Fixed tmp handling.
- Additional convention enforcement on patch file names.
- Use subst instead of perl in %%build.

* Mon Sep 23 2002 Stanislav Ievlev <inger@altlinux.ru> 1:3.5.8-alt2
- Fixed multiply buffer overflows due to unsafe sscanf() code.

* Mon Jun 17 2002 AEN <aen@logic.ru> 1:3.5.8-alt1
- requires gs >= 7.05
- alpha patch removed

* Tue Mar 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.5.8-ipl16mdk
- Fixed configuration file attributes.
- Relocated app-defaults.

* Mon Mar 11 2002 Stanislav Ievlev <inger@altlinux.ru> 3.5.8-ipl15mdk
- Rebuilt
- added some patches (quote,alpha,noplatform) to fix some bugs

* Fri Dec 01 2000 Dmitry V. Levin <ldv@fandra.org> 3.5.8-ipl14mdk
- Added icons from MDK.
- Updated menu: title and long title.

* Wed Jul 26 2000 Dmitry V. Levin <ldv@fandra.org> 3.5.8-ipl13mdk
- Added: bzip2 support.
- RE adaptions.

* Thu Jul 20 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-13mdk
- fixed requires to ghostscript-module-X.
- build release.

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.5.8-12mdk
- Imake bugfix for XFree86-4.0

* Tue Apr 11 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-11mdk
- added menu entry and icon.

* Fri Apr 07 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-10mdk
- Updated Group.

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
